#!/usr/bin/perl -w # -*- mode: perl -*-

#     GIFT, a flexible content based image retrieval system.
#     Copyright (C) 1998, 1999, 2000, 2001, 2002, CUI University of Geneva

#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.

#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.

#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#
# This script turns our internal format for annotations
# into html
#

use lib '/usr/bin'; # for including CFeedbackClient
use CXMLTreeWriter;

{
  my $self={};
  
  my $inFile=shift || "url2fts";

  my $lInHandle=new IO::File($inFile,"r")          or die "no ${inFile}\n";
  my $lOutHandle=new IO::File("${inFile}.xml","w") or die "no ${inFile}.xml\n";
  
  print "Translating $inFile to ${inFile}.xml\n";

  $self->{writer}=new XML::Writer( OUTPUT => $lOutHandle,
				   DATA_MODE => 1,
				   DATA_INDENT => 2);
  $self->{writer}->xmlDecl("UTF-8","yes");
  
  $self->{writer}->startTag("image-list");  
  
  while(<$lInHandle>){
    my($lImageLocation,$lThumbnailLocation,$lFeatureFileName)=split(/\s+/,$_);
    
    my $lAttributes={
		     "url-postfix" => $lImageLocation,
		     "thumbnail-url-postfix" => $lThumbnailLocation,
		     "feature-file-name" => $lFeatureFileName
		    };
		     

    $self->{writer}->emptyTag("image",(%{$lAttributes}));  
  }

  $self->{writer}->endTag("image-list");  

}



